%{?!_themedir:%define _themedir %{_datadir}/icons/crystal_project}

Name:       crystal-project
Version:    20070620
Release:    3%{?dist}

Summary:    Crystal Project KDE Icon set
Group:      User Interface/Desktops
License:    LGPL

URL:        http://www.everaldo.com/crystal
# http://www.kde-look.org/content/show.php?content=60475
Source:     http://everaldo.com/crystal/crystal_project.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:   kdebase fedora-logos

%description
Crystal Project is a KDE Icon set.

%prep
%setup -q -n "crystal_project"

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_themedir}/

#set 644 permissions on icons
find . -type f -exec chmod 644 {} \;

# remove annoying animated linspire logo on konqueror
# we are fedora afterall
pwd
for SIZE in 16x16 22x22 32x32 ; do
    %{__rm} $SIZE/actions/kde.png ||:
done

%{__cp} -apf * %{buildroot}%{_themedir}/

# setting Fedora Logo as kmenu
# backup
%{__mv} %{buildroot}%{_themedir}/16x16/apps/kmenu.png %{buildroot}%{_themedir}/16x16/apps/kmenu_orig.png
%{__mv} %{buildroot}%{_themedir}/22x22/apps/kmenu.png %{buildroot}%{_themedir}/22x22/apps/kmenu_orig.png
%{__mv} %{buildroot}%{_themedir}/32x32/apps/kmenu.png %{buildroot}%{_themedir}/32x32/apps/kmenu_orig.png
%{__mv} %{buildroot}%{_themedir}/48x48/apps/kmenu.png %{buildroot}%{_themedir}/48x48/apps/kmenu_orig.png

#links from fedora-logo package
ln -s ../../../Bluecurve/16x16/apps/gnome-main-menu.png %{buildroot}%{_themedir}/16x16/apps/kmenu.png
ln -s ../../../Bluecurve/24x24/apps/gnome-main-menu.png %{buildroot}%{_themedir}/22x22/apps/kmenu.png
ln -s ../../../Bluecurve/32x32/apps/gnome-main-menu.png %{buildroot}%{_themedir}/32x32/apps/kmenu.png
ln -s ../../../Bluecurve/48x48/apps/gnome-main-menu.png %{buildroot}%{_themedir}/48x48/apps/kmenu.png

%clean
%{__rm} -rf %{buildroot}

%files
%doc readme.txt
%defattr(-,root,root,-)
%{_themedir}/

%changelog
* Tue Jun 26 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20070620-3
- removed annoying linspire logo from konqueror

* Mon Jun 25 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20070620-2
- set 644 permissions on icons

* Thu Jun 21 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20070620-1
- Initial Package